Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.sasn1
Class Asn1TaggedObject

    java.lang.Object
      org.bouncycastle.sasn1.Asn1Object
          org.bouncycastle.sasn1.Asn1TaggedObject

Deprecated. use corresponsding classes in org.bouncycastle.asn1.

    public class Asn1TaggedObject

extends Asn1Object

Field Summary

Fields inherited from class org.bouncycastle.sasn1.Asn1Object
`_baseTag, _contentStream, _tagNumber`

Constructor Summary
`protected` | `Asn1TaggedObject(int baseTag, int tagNumber, java.io.InputStream contentStream)` Deprecated.

Method Summary
`Asn1Object` | `getObject(int tag, boolean isExplicit)` Deprecated.

Methods inherited from class org.bouncycastle.sasn1.Asn1Object
`getRawContentStream, getTagNumber, isConstructed`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Asn1TaggedObject

    protected Asn1TaggedObject(int baseTag,
                               int tagNumber,
                               java.io.InputStream contentStream)

  Deprecated.

Method Detail

### getObject

    public Asn1Object getObject(int tag,
                                boolean isExplicit)
                         throws java.io.IOException

  Deprecated.
  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD